Subject: Re: fsqrt

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 08 Jun 2013 10:34:27 +1000

On Fri, 2013-06-07 at 17:20 -0700, Dan Malek wrote:

> The purpose for that "minimal code" was the signal handlers were
> hand-coded assembly that always did the FPU load/store regardless of
> compiler flags.  Over time, it became convenient to emulate a few
> others, even with user space math emulation, for similar reasons.

The question is whether this is still relevant ? And if the answer is
yes, we still want that "minimum" emulation of load/stores/fmr as an
option, is there any reason why we can't replace the one in softemu8xx
with the existing (and unused) equivalent in do_mathemu ?

Cheers,
Ben.